{% extends 'base.html.twig' %}

{% block title %}Seguimiento{% endblock %}
{% block watermark %}
    <div class="watermarked" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block body %}
    <h1>Seguimiento</h1>
    <nav class="navbar navbar-light bg-light">
      <form id="search" class="form-inline" accept-charset="UTF-8" action="{{url('seguimiento_index')}}" method="get" role="form">
        <div style="display:none">
            <input name="utf8" value="✓" type="hidden">
        </div>
        <input class="form-control" id="search"  placeholder="DNI | APELLIDO" aria-label="Buscar" name="search" value="{% if params.search is defined %}{{params.search}}{% endif %}" required="false"  size="50"/>
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
        <a class="btn btn-outline-success my-2 my-sm-0" href="{{ path('seguimiento_index') }}"><span>
          <i class="fas fa fa-redo-alt"></i>
        </span></a>
      </form>
      <a class="btn btn-primary float-right" href="{{ path('seguimiento_new') }}"><span>
        <i class="fas fa fa-plus"></i>
      </span>Nuevo Seguimiento</a>
    </nav>
    <div class="table-responsive">
      <table class="table table-striped">
          <thead>
              <tr>
                  <th>Id</th>
                  <th>Nombre/Apellido</th>
                  <th>Dni</th>
                  <th>Localidad</th>
                  <th>Fecha Arribo</th>
                  <th>Procedencia</th>
                  <th>Finalizó Seguimiento</th>
              </tr>
          </thead>
          <tbody>
          {% for seguimiento in seguimientos %}
              <tr class='clickable-row' data-ref='{{ path('seguimiento_show', {'id': seguimiento.id}) }}'>
                  <td>{{ seguimiento.id }}</td>
                  <td>{{ seguimiento.apellido }} {{ seguimiento.nombre }}</td>
                  <td>{{ seguimiento.dni }}</td>
                  <td>{{ seguimiento.localidad }}</td>
                  <td>{{ seguimiento.fechaArribo ? seguimiento.fechaArribo|date('Y-m-d') : '' }}</td>
                  <td>{{ seguimiento.procedencia }}</td>
                  <td><b>{{ seguimiento.finalizoSeguimiento ? 'Si' : 'No' }}</b></td>
              </tr>
          {% else %}
              <tr>
                  <td colspan="11">No se han encontrado resultados</td>
              </tr>
          {% endfor %}
          </tbody>
      </table>
    </div>
{% endblock %}

{% block javascripts %}
 {{parent()}}
 <script>
     Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
        el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1800);
      });
 </script>
{% endblock %}
